Как я могу получить RubyGems 1.3.6 на Ubuntu 10.4


Я только что установил новую виртуальную машину (VirtualBox) с Ubuntu 10.4 и Ruby1.9.1. У меня есть пакет для RUbyGems1.9.1 но когда я делаю gem --version я все еще получаю 1.3.5.

2   54   2010-05-06 05:19:58

2 ответа:

Я получил его работу с помощью

gem install rubygems-update
cd /var/lib/gems/1.9.1/bin
sudo ./update_rubygems

Это уже не работает. Теперь он выдает сообщение об ошибке: "Поскольку, по-видимому, никто не читает мои электронные письма, сообщения в блоге или README:

НЕ ОБНОВЛЯЙТЕ RUBYGEMS НА RUBY 1.9! См. раздел Обновление.rdoc для деталей."

похоже, что единственный способ выйти за пределы 1.3.5 на Ubuntu - это выйти за пределы apt-get и загрузить источник. http://blog.zenspider.com/2010/12/rubygems-141-has-been-released.html